Skip to content
This repository

installing coding standard from pear.typo3.org fails #115

Closed
magicsunday opened this Issue · 2 comments

3 participants

Rico Sonntag Brett Bieber Christian Weiske
Rico Sonntag

http://pear.typo3.org/

Installing PHPCS_TYPO3v4_Standard 0.0.5 or 0.0.4 fails. I cannot unpack them with tar either, so it might be that the archives are broken. The old pear installer is able to install them, though.

PHP Warning:  md5_file(phar:///opt/phpfarm/inst/php-5.3.16/pear/downloads/PHPCS_TYPO3v4_Standard-0.0.5.tgz/PHPCS_TYPO3v4_Standard-0.0.5/README.rst): failed to open stream: phar error: "PHPCS_TYPO3v4_Standard-0.0.5/README.rst" is not a file in phar "/opt/phpfarm/inst/php-5.3.16/pear/downloads/PHPCS_TYPO3v4_Standard-0.0.5.tgz" in phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php on line 500
PHP Stack trace:
PHP   1. {main}() /opt/phpfarm/inst/php-5.3.16/pyrus.phar:0
PHP   2. Pyrus\ScriptFrontend\Commands->run() /opt/phpfarm/inst/php-5.3.16/pyrus.phar:69
PHP   3. Pyrus\ScriptFrontend\Commands->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:309
PHP   4. Pyrus\ScriptFrontend\Commands->installUnknownChannelExceptionHandler() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:596
PHP   5. Pyrus\ScriptFrontend\Commands->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:619
PHP   6. Pyrus\Installer::commit() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:559
PHP   7. Pyrus\Installer->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php:328
PHP   8. md5_file() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php:500

Warning: md5_file(phar:///opt/phpfarm/inst/php-5.3.16/pear/downloads/PHPCS_TYPO3v4_Standard-0.0.5.tgz/PHPCS_TYPO3v4_Standard-0.0.5/README.rst): failed to open stream: phar error: "PHPCS_TYPO3v4_Standard-0.0.5/README.rst" is not a file in phar "/opt/phpfarm/inst/php-5.3.16/pear/downloads/PHPCS_TYPO3v4_Standard-0.0.5.tgz" in phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php on line 500

Call Stack:
    0.2821    2738344   1. {main}() /opt/phpfarm/inst/php-5.3.16/pyrus.phar:0
    0.4441    5719376   2. Pyrus\ScriptFrontend\Commands->run() /opt/phpfarm/inst/php-5.3.16/pyrus.phar:69
    0.8067   10056680   3. Pyrus\ScriptFrontend\Commands->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:309
    0.8165   10698992   4. Pyrus\ScriptFrontend\Commands->installUnknownChannelExceptionHandler() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:596
    2.8326   11294344   5. Pyrus\ScriptFrontend\Commands->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:619
    3.0662   13266256   6. Pyrus\Installer::commit() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/ScriptFrontend/Commands.php:559
    4.9932   22153576   7. Pyrus\Installer->install() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php:328
   13.2891   22523616   8. md5_file() phar:///opt/phpfarm/inst/php-5.3.16/pyrus.phar/Pyrus-2.0.0a4/php/Pyrus/Installer.php:500

Pyrus\Installer\Exception: bad md5sum for file README.rst

Brett Bieber
Owner

I would contact the maintainer of the package you're trying to install. It looks like the archive file is corrupted.

Christian Weiske cweiske closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.